[Info]
name ="214"
displayname ="CLOCK"
versiondate =04,14,2002
mugenversion =04,14,2002
author ="214"
pal.defaults =1

[Files]
cmd     =214.def
cns     =214.def
st      =214.def
stcommon =214.def
sprite  =214.sff
anim    =214.air
sound   =214.snd

[Arcade]
intro.storyboard =
ending.storyboard =

[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

[Defaults]
command.time = 15
command.buffer.time = 1

[Command]
name = "null"
command = a+b+c+x+y+z
time = 0

[Data]
life = 1
power = 1
attack = 1
defence = 1
fall.defence_up = 1
liedown.time = 1
airjuggle = 0
sparkno = 1
guard.sparkno = 1
KO.echo = 0
volume = 0
IntPersistIndex = 0
FloatPersistIndex = 0

[Size]
xscale = 1
yscale = 1
ground.back = 0
ground.front = 0
air.back = 0
air.front = 0
height = 0
attack.dist = 0
proj.attack.dist = 0
proj.doscale = 0
head.pos = 0,0
mid.pos = 0,0
shadowoffset = 0
draw.offset = 0,0

[Velocity]
walk.fwd  = 0.0
walk.back = 0.0
run.fwd  = 0,0
run.back = 0,0
jump.neu = 0,0
jump.back = 0
jump.fwd = 0
runjump.back = 0,0
runjump.fwd = 0,0
airjump.neu = 0,0
airjump.back = 0
airjump.fwd = 0

[Movement]
airjump.num = 0
airjump.height = 0
yaccel = 0
stand.friction = 40
crouch.friction = 40

[statedef 0]
type = A
[state ]
type = turn
trigger1 = facing != 1
[state ]
type = helper
trigger1 = numhelper(1) = 0
ID = 1
stateno = 0
helpertype = player
name = "clock"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[state ]
type = helper
trigger1 = numhelper(2) = 0
ID = 2
stateno = 0
helpertype = player
name = "number"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[state ]
type = helper
trigger1 = numhelper(24) = 0
ID = 24
stateno = 0
helpertype = player
name = "hour"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[state ]
type = helper
trigger1 = numhelper(1440) = 0
ID = 1440
stateno = 0
helpertype = player
name = "minute"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[state ]
type = helper
trigger1 = numhelper(86400) = 0
ID = 86400
stateno = 0
helpertype = player
name = "second"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[State ]
type = Playsnd
trigger1 = !ishelper
trigger1 = numhelper(1)
trigger1 = numhelper(2)
trigger1 = numhelper(24)
trigger1 = numhelper(1440)
trigger1 = numhelper(86400)
value = 0,0
channel = 2
lowpriority = 1
loop = 1
ignorehitpause=1
[State ]
type = PlayerPush
trigger1 = 1
value = 0
[State ]
type = ctrlset
trigger1 = ishelper
value = 0
[State ]
type = AssertSpecial
trigger1 = 1
flag = noshadow
flag2 = nobg
flag3 = nofg
[State ]
type = AssertSpecial
trigger1 = 1
flag = nomusic
flag2 = nobardisplay
[State ]
type = ScreenBound
trigger1 = 1
value = 1
movecamera = 0,0
[State ]
type = trans
trigger1 = ishelper(2)
trans = addalpha
alpha = 256,175
[State ]
type = trans
trigger1 = ishelper(1)
trigger2 = ishelper(24)
trigger3 = ishelper(1440)
trigger4 = ishelper(86400)
trans = addalpha
alpha = 256,150
[State ]
type = posset
trigger1 = 1
x = 0
y = -90
[State ]
type = AngleDraw
trigger1 = ishelper
trigger1 = !ishelper(86400)
[State ]
type = AngleDraw
trigger1 = ishelper(1)
trigger2 = ishelper(2)
scale = 1.2,1.2
[State ]
type = AngleDraw
trigger1 = ishelper(24)
trigger2 = ishelper(1440)
trigger3 = ishelper(86400)
scale = 0.8,0.8
[State ]
type = AngleSet
trigger1 = ishelper(24)
value = -floor(gametime%2592000/7200)
[State ]
type = AngleSet
trigger1 = ishelper(1440)
value = -floor(gametime%216000/600)
[State ]
type = AngleSet
trigger1 = ishelper(86400)
value = -floor(gametime%3600/10)
[State ]
type = changeanim
trigger1 = ishelper(1)
value = 1
[State ]
type = changeanim
trigger1 = ishelper(2)
value = 2
[State ]
type = changeanim
trigger1 = ishelper(24)
value = 24
[State ]
type = changeanim
trigger1 = ishelper(1440)
value = 1440
[State ]
type = changeanim
trigger1 = ishelper(86400)
value = 86400
[State ]
type = SprPriority
trigger1 = ishelper(1)
value = 2
[State ]
type = SprPriority
trigger1 = ishelper(2)
value = 1
[State ]
type = SprPriority
trigger1 = ishelper(24)
value = 24
[State ]
type = SprPriority
trigger1 = ishelper(1440)
value = 1440
[State ]
type = SprPriority
trigger1 = ishelper(86400)
value = 86400
[Statedef 10]
[State ]
type = null
trigger1 = 0
[Statedef 11]
[State ]
type = null
trigger1 = 0
[Statedef 12]
[State ]
type = null
trigger1 = 0
[Statedef 20]
[State ]
type = null
trigger1 = 0
[Statedef 40]
[State ]
type = null
trigger1 = 0
[Statedef 45]
[State ]
type = null
trigger1 = 0
[Statedef 50]
[State ]
type = null
trigger1 = 0
[Statedef 51]
[State ]
type = null
trigger1 = 0
[Statedef 52]
[State ]
type = null
trigger1 = 0
[Statedef 100]
[State ]
type = null
trigger1 = 0
[Statedef 105]
[State ]
type = null
trigger1 = 0
[Statedef 106]
[State ]
type = null
trigger1 = 0
[Statedef 115]
[State ]
type = null
trigger1 = 0
[Statedef 120]
[State ]
type = null
trigger1 = 0
[Statedef 130]
[State ]
type = null
trigger1 = 0
[Statedef 131]
[State ]
type = null
trigger1 = 0
[Statedef 132]
[State ]
type = null
trigger1 = 0
[Statedef 140]
[State ]
type = null
trigger1 = 0
[Statedef 150]
[State ]
type = null
trigger1 = 0
[Statedef 151]
[State ]
type = null
trigger1 = 0
[Statedef 152]
[State ]
type = null
trigger1 = 0
[Statedef 153]
[State ]
type = null
trigger1 = 0
[Statedef 154]
[State ]
type = null
trigger1 = 0
[Statedef 155]
[State ]
type = null
trigger1 = 0
[Statedef 170]
[State ]
type = null
trigger1 = 0
[Statedef 175]
[State ]
type = null
trigger1 = 0
[Statedef 190]
[State ]
type = null
trigger1 = 0
[Statedef 191]
[State ]
type = null
trigger1 = 0
[Statedef 5000]
[State ]
type = null
trigger1 = 0
[Statedef 5001]
[State ]
type = null
trigger1 = 0
[Statedef 5010]
[State ]
type = null
trigger1 = 0
[Statedef 5011]
[State ]
type = null
trigger1 = 0
[Statedef 5020]
[State ]
type = null
trigger1 = 0
[Statedef 5030]
[State ]
type = null
trigger1 = 0
[Statedef 5035]
[State ]
type = null
trigger1 = 0
[Statedef 5040]
[State ]
type = null
trigger1 = 0
[Statedef 5050]
[State ]
type = null
trigger1 = 0
[Statedef 5070]
[State ]
type = null
trigger1 = 0
[Statedef 5071]
[State ]
type = null
trigger1 = 0
[Statedef 5080]
[State ]
type = null
trigger1 = 0
[Statedef 5081]
[State ]
type = null
trigger1 = 0
[Statedef 5100]
[State ]
type = null
trigger1 = 0
[Statedef 5101]
[State ]
type = null
trigger1 = 0
[Statedef 5110]
[State ]
type = null
trigger1 = 0
[Statedef 5120]
[State ]
type = null
trigger1 = 0
[Statedef 5150]
[State ]
type = null
trigger1 = 0
[Statedef 5200]
[State ]
type = null
trigger1 = 0
[Statedef 5201]
[State ]
type = null
trigger1 = 0
[Statedef 5210]
[State ]
type = null
trigger1 = 0
[Statedef 5500]
[State ]
type = null
trigger1 = 0
[Statedef 5900]
[state ]
type = helper
trigger1 = numhelper(1) = 0
ID = 1
stateno = 0
helpertype = player
name = "clock"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[state ]
type = helper
trigger1 = numhelper(2) = 0
ID = 2
stateno = 0
helpertype = player
name = "number"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[state ]
type = helper
trigger1 = numhelper(24) = 0
ID = 24
stateno = 0
helpertype = player
name = "hour"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[state ]
type = helper
trigger1 = numhelper(1440) = 0
ID = 1440
stateno = 0
helpertype = player
name = "minute"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[state ]
type = helper
trigger1 = numhelper(86400) = 0
ID = 86400
stateno = 0
helpertype = player
name = "second"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1

[Statedef -1]
[State ]
type = null
trigger1 = 0

[Statedef -2]
[state ]
type = turn
trigger1 = facing != 1
[state ]
type = helper
trigger1 = numhelper(1) = 0
ID = 1
stateno = 0
helpertype = player
name = "clock"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[state ]
type = helper
trigger1 = numhelper(2) = 0
ID = 2
stateno = 0
helpertype = player
name = "number"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[state ]
type = helper
trigger1 = numhelper(24) = 0
ID = 24
stateno = 0
helpertype = player
name = "hour"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[state ]
type = helper
trigger1 = numhelper(1440) = 0
ID = 1440
stateno = 0
helpertype = player
name = "minute"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[state ]
type = helper
trigger1 = numhelper(86400) = 0
ID = 86400
stateno = 0
helpertype = player
name = "second"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[State ]
type = selfState
trigger1 = ishelper
value = 0
ignorehitpause=1
[State ]
type = AssertSpecial
trigger1 = 1
flag = noshadow
flag2 = nobg
flag3 = nofg
[State ]
type = AssertSpecial
trigger1 = 1
flag = nomusic
flag2 = nobardisplay
[State ]
type = posset
trigger1 = 1
x = 0
y = -90
[State ]
type = ScreenBound
trigger1 = 1
value = 1
movecamera = 0,0
[State ]
type = Playsnd
trigger1 = !ishelper
trigger1 = numhelper(1)
trigger1 = numhelper(2)
trigger1 = numhelper(24)
trigger1 = numhelper(1440)
trigger1 = numhelper(86400)
value = 0,0
channel = 2
lowpriority = 1
loop = 1
ignorehitpause=1

[Statedef -3]
[state ]
type = turn
trigger1 = facing != 1
[state ]
type = helper
trigger1 = numhelper(1) = 0
ID = 1
stateno = 0
helpertype = player
name = "clock"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[state ]
type = helper
trigger1 = numhelper(2) = 0
ID = 2
stateno = 0
helpertype = player
name = "number"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[state ]
type = helper
trigger1 = numhelper(24) = 0
ID = 24
stateno = 0
helpertype = player
name = "hour"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[state ]
type = helper
trigger1 = numhelper(1440) = 0
ID = 1440
stateno = 0
helpertype = player
name = "minute"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[state ]
type = helper
trigger1 = numhelper(86400) = 0
ID = 86400
stateno = 0
helpertype = player
name = "second"
pos = 0,0
postype = P1
keyctrl = 0
ownpal = 1
pausemovetime = 9999999999
supermovetime = 9999999999
ignorehitpause = 1
[State ]
type = AssertSpecial
trigger1 = 1
flag = noshadow
flag2 = nobg
flag3 = nofg
[State ]
type = AssertSpecial
trigger1 = 1
flag = nomusic
flag2 = nobardisplay
[State ]
type = posset
trigger1 = 1
x = 0
y = -90
[State ]
type = ScreenBound
trigger1 = 1
value = 1
movecamera = 0,0
[State ]
type = Playsnd
trigger1 = !ishelper
trigger1 = numhelper(1)
trigger1 = numhelper(2)
trigger1 = numhelper(24)
trigger1 = numhelper(1440)
trigger1 = numhelper(86400)
value = 0,0
channel = 2
lowpriority = 1
loop = 1
ignorehitpause=1
